provide sparql results as text/turtle
Closed, DeclinedPublic

Description

openvirtuoso (dbpedia) can do this.

there is not a maven artifact similar to sesame-queryresultio-sparqlxml for turtle so this seems not possible without developing a new package for sesame. there is, however, org.openrdf.rio.turtle.TurtleWriter.

this would be useful to have for generating contextual subsets (fragments) of "loadable data" for consumers.

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptMar 23 2016, 11:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Christopher closed this task as Invalid.Mar 23 2016, 11:55 PM
Christopher reopened this task as Open.

For fragments, there is this: https://github.com/blazegraph/BlazegraphBasedTPFServer

We may want to look into supporting this.

the node.js version of the TPF server is actually why I created this issue.

My concept of the fragment server was that it could decentralize a big dataset by distributing data fragments to it with selectors, so I am not exactly sure how implementing a Blazegraph TPFServer is in the overall WDQS scope. It could help perhaps for decentralizing your data internally, or for caching named graphs, though it would probably not by itself facilitate using WDQS as a SPARQL datasource for external TPF implementations.

Christopher added a comment.EditedMar 24 2016, 1:42 PM

it seems that with a CONSTRUCT query, sending an Accept: text/turtle works.

this is actually all that is required to get a linked data fragment from the SPARQL interface.

The problem with TPF access to the WDQS SPARQL interface is that the very simple query (required for the metadataCallback)

SELECT (COUNT(*) AS ?count) WHERE {?s ?p ?o}

cannot return turtle. Also, there seems to be a minor difference with the COUNT implementation in OpenVirtuoso, that allows a count to be unbound like:

SELECT COUNT(*) WHERE {?s ?p ?o}

I have worked around the counting problem. The experimental TPF Server is here:
http://orbeon-bb.wmflabs.org/

This wikidata datasource uses SPARQL interface at http://query.wikidata.org/sparql

I think that this issue can be closed.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Apr 3 2016, 11:47 AM
Smalyshev closed this task as Declined.May 26 2016, 8:19 PM

Created separate task for TPF server - T136358